import request from '@/utils/request';

// 设计师招募会员属性列表接口
export function designerStoreCategory(query) {
  return request({
    url: 'mobile/store/designerStoreCategory',
    method: 'get',
    params: query,
  });
}

// 获取设计师招募经销商类型列表接口
export function designerChainsInfo(query) {
  return request({
    url: 'mobile/store/designerChainsInfo',
    method: 'get',
    params: query,
  });
}

//设计师招募新增接口
export function addDesigner(data) {
  return request({
    url: 'mobile/store/addDesigner',
    method: 'post',
    data,
  });
}
// 获取城市信息接口
export function getstreetInfoList(query) {
  return request({
    url: 'mobile/store/getStreetInfoList',
    method: 'get',
    params: query,
  });
}

//设计师招募修改接口
export function updateStore(data) {
  return request({
    url: 'mobile/store/updateStore',
    method: 'post',
    data,
  });
}
